[volumes-refactoring] Can't exclude a volume from the boot md (raid 1)

Bug #1258347 reported by Andrew Woodward on 2013-12-06
52
This bug affects 8 people
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
High
Nikolay Markov

Bug Description

There are cases where the user may not want the boot md on all devices in the system. Additionally, in the event that the disk contains no disk roles, it still receives the boot md.

Case 1: Select which devices to use in the MD
Case 2: Excluding any role on the disk should allow for the exclusion of the MD (maybe even automatically).

Ryan Grenz (p-info-k) wrote :

+1 this is the exact issue we are having with compact flash card inside the machine being sucked into the provisioning, even though we set it not to be in Fuel.

Andrew Woodward (xarses) wrote :
Mike Scherbakov (mihgen) on 2013-12-08
Changed in fuel:
milestone: none → 4.0
Changed in fuel:
assignee: nobody → Dmitry Pyzhov (lux-place)
Mike Scherbakov (mihgen) on 2013-12-12
Changed in fuel:
assignee: Dmitry Pyzhov (lux-place) → nobody
Nikolay Markov (nmarkov) on 2013-12-16
Changed in fuel:
milestone: 4.0 → 4.1
status: New → Confirmed
Mike Scherbakov (mihgen) on 2014-02-21
Changed in fuel:
milestone: 4.1 → 5.0
Changed in fuel:
milestone: 5.0 → 5.1
Andrew Woodward (xarses) wrote :
Changed in fuel:
importance: Wishlist → High
tags: added: customer-found release-notes
summary: - Can't remove a volume from the boot md when excluding the device from
- any other use
+ Can't exclude a volume from the boot md
Andrew Woodward (xarses) on 2014-05-28
summary: - Can't exclude a volume from the boot md
+ Can't exclude a volume from the boot md (raid 1)
description: updated
Changed in fuel:
assignee: nobody → Fuel Python Team (fuel-python)
Dima Shulyak (dshulyak) on 2014-06-19
tags: added: nailgun-volumes
tags: added: volumes
removed: nailgun-volumes

Listed as "Known Issue" in 5.0.1 Release Notes.

Dmitry Pyzhov (dpyzhov) on 2014-07-09
Changed in fuel:
milestone: 5.1 → 6.0
Dmitry Pyzhov (dpyzhov) on 2014-07-16
Changed in fuel:
status: Confirmed → Won't Fix
Dmitry Pyzhov (dpyzhov) on 2014-08-14
summary: - Can't exclude a volume from the boot md (raid 1)
+ [volumes-refactoring] Can't exclude a volume from the boot md (raid 1)
Changed in fuel:
assignee: Fuel Python Team (fuel-python) → Vladimir Kozhukalov (kozhukalov)
status: Won't Fix → Confirmed

Fix proposed to branch: master
Review: https://review.openstack.org/133112

Changed in fuel:
assignee: Vladimir Kozhukalov (kozhukalov) → Meg McRoberts (dreidellhasa)
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/133112
Committed: https://git.openstack.org/cgit/stackforge/fuel-docs/commit/?id=c7f75b7d1084ab518b7cd8d1be17a658e63ed978
Submitter: Jenkins
Branch: master

commit c7f75b7d1084ab518b7cd8d1be17a658e63ed978
Author: Meg McRoberts <email address hidden>
Date: Thu Nov 6 12:39:17 2014 -0800

    Exclude drive from RAID-1 -- info moved from RN

    Content is unchanged from that in 5.1 and earlier rel-notes

    Change-Id: I3beb2ed0d7cc99bdd88185dadda29cd125f19cc3
    Partial-Bug: 1258347

Mike Scherbakov (mihgen) on 2014-11-25
Changed in fuel:
assignee: Meg McRoberts (dreidellhasa) → Fuel Python Team (fuel-python)
status: In Progress → Confirmed
Dmitry Pyzhov (dpyzhov) on 2014-11-26
Changed in fuel:
milestone: 6.0 → 6.1
Dmitry Pyzhov (dpyzhov) on 2015-02-17
Changed in fuel:
milestone: 6.1 → 7.0
Dmitry Pyzhov (dpyzhov) on 2015-03-30
tags: added: module-volumes
removed: volumes
Changed in fuel:
assignee: Fuel Python Team (fuel-python) → Vladimir Kozhukalov (kozhukalov)
Mike Scherbakov (mihgen) wrote :

Vladimir, Dmitry P., let's see if can find a simple / straightforward hack in order to fix this issue before we get new volume manager.

Dmitry Pyzhov (dpyzhov) on 2015-04-23
Changed in fuel:
milestone: 7.0 → 6.1
Changed in fuel:
assignee: Vladimir Kozhukalov (kozhukalov) → Nikolay Markov (nmarkov)
Changed in fuel:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/176369
Committed: https://git.openstack.org/cgit/stackforge/fuel-web/commit/?id=781fffcbf95193cd5881aa3343f122e64a7cf1f5
Submitter: Jenkins
Branch: master

commit 781fffcbf95193cd5881aa3343f122e64a7cf1f5
Author: Nikolay Markov <email address hidden>
Date: Wed Apr 22 18:46:42 2015 +0300

    Create boot partition on first disk only

    Also we now don't touch disks which have no
    volumes with size > 0 allocated

    Change-Id: I4597695ac615a6585cc9483da6a630267d7def77
    Closes-Bug: #1258347

Changed in fuel:
status: In Progress → Fix Committed
tags: added: release-notes-done
Download full text (45.4 KiB)

Reviewed: https://review.openstack.org/194961
Committed: https://git.openstack.org/cgit/stackforge/fuel-docs/commit/?id=0e26e7d7cc153d179ec34985645dd23cdd239ddb
Submitter: Jenkins
Branch: stable/6.1

commit 5cc5f0c643aebecaf3bf4580535a3ea7c3334a6c
Author: Mike Scherbakov <email address hidden>
Date: Tue Jun 23 13:43:35 2015 -0700

    Removed streamlined patching backend pieces

    Change-Id: I955e76ccdbd12a9145f4e9b689f80bdf9fcaf929

commit 563c4b5c78ebfcb1f4f91047c2919f6270f9a1d4
Author: Mike Scherbakov <email address hidden>
Date: Tue Jun 23 13:30:30 2015 -0700

    Removed outdated patching guide

    Change-Id: I76180c277789ade9c5ebedd19fe2092847c0b7d9

commit 8d120c14bec1ab41d448683ad146a3053a57c4ee
Author: Irina Povolotskaya <email address hidden>
Date: Tue Jun 23 19:59:11 2015 +0300

    Add dual hypervisor ref arch into 6.1 docs

    Change-Id: I900c24c9de878eafadbfc995aa879b7f55737fac

commit feebd1592d3305b64bbdfd0bc5fe108190aef120
Author: OlgaGusarenko <email address hidden>
Date: Tue Jun 23 18:38:17 2015 +0300

    [OPs guide] Running Ceilometer section edits

    1. conf file extract is updated
    2. note is updated

    Closes-bug: 1467817
    Change-Id: I0217e164108e0ba6c1397045a5e57d13ff429223

commit 44a93f9dead7511a3461ec35248dbb689c81eafd
Author: OlgaGusarenko <email address hidden>
Date: Tue Jun 23 18:04:40 2015 +0300

    [RN6_1] Final changes

    1. capitalization
    2. 2014.2 to 2014.2.2
    3. general improvements

    Change-Id: I45057e90c90550559f66bc67ccdf97a559fd9000

commit bb41389cae58084285688853281516b659686422
Author: evkonstantinov <email address hidden>
Date: Tue Jun 23 16:45:35 2015 +0300

    Update patching decription

    Update patching description with
    the standard Linux commands.

    Change-Id: Ia1a8346639c468fdfce15a11d2430bf3a4731244

commit bf3018fae3f2e564413d33aba6cdebf8868f0b4e
Author: OlgaGusarenko <email address hidden>
Date: Tue Jun 23 15:55:49 2015 +0300

    [RN6_1] Clean up

    1. Rearranges sections
    2. Improves RST
    3. Changes titles order

    Change-Id: I6110bf515667d3d6ba08ad35ff5d593dbc96641e

commit 1c7e4457808e8f2d6c56fdf31252170972e444b9
Author: Maria Zlatkova <email address hidden>
Date: Tue Jun 23 15:26:28 2015 +0300

    Replaces VBOX screenshots

    This patch:
    - replaces VBOX screenshots
    - changes the link for Download Mirantis VirtualBox scripts
     to https://docs.mirantis.com/openstack/fuel/fuel-master/#downloads

    Change-Id: I58dede960c5c3355d39b07ff44b757403f6af02c
    Closes-Bug: #1467872

commit 0a568bf53fc0e25d1d692d5d74b4a7b4d983bbcc
Author: evkonstantinov <email address hidden>
Date: Tue Jun 23 14:01:55 2015 +0300

    6.1 --separate repos

    change wording and add links to the
    separate repos feature.

    Change-Id: Ib5d0778a0d8f1534f79ed2f553574cb69a3150b0

commit 95a188b21cbdd064d92696b7920e6a0105fe0c56
Author: Maria Zlatkova <email address hidden>
Date: Tue Jun 23 12:07:28 2015 +0300

    Corrects the output 'pcs status'

    Changes the example outputs to appropriate ones.

    Change-Id: Ib6d83...

Roman Rufanov (rrufanov) on 2015-09-17
tags: added: support
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints